/* global module: false, require: false, process: false */
'use strict';

const EmberAddon = require('ember-cli/lib/broccoli/ember-addon');
const defaultsDeep = require('lodash.defaultsdeep');
const options = require('@choiceform/ui-foundation/defaults')();

module.exports = function(defaults) {
  if (defaults.project.findAddonByName('ember-native-dom-event-dispatcher')) {
    defaults.vendorFiles = {'jquery.js': false};
  }

  let app = new EmberAddon(defaults, defaultsDeep({
    importSVGIcon: false
  }, options));

  let sortablePath = 'node_modules/sortablejs/Sortable.js';
  app.import(sortablePath, {using: [{transformation: 'amd', as: 'sortable'}]});

  return app.toTree();
};
